/**
 * Copyright 2015-present Greg Hurrell. All rights reserved.
 * Licensed under the terms of the MIT license.
 */

'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _sinon = require('sinon');

var _sinon2 = _interopRequireDefault(_sinon);

var sandbox = undefined;

beforeEach(function () {
  sandbox = _sinon2['default'].sandbox.create();
});

afterEach(function () {
  sandbox.restore();
});

global.sinon = {
  spy: function spy() {
    return _sinon2['default'].spy.apply(_sinon2['default'], arguments);
  },

  stub: function stub() {
    var _sandbox;

    return (_sandbox = sandbox).stub.apply(_sandbox, arguments);
  },

  useFakeTimers: function useFakeTimers() {
    return _sinon2['default'].useFakeTimers.apply(_sinon2['default'], arguments);
  }
};